<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celInitializer Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">celInitializer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celInitializer" --><!-- doxytag: inherits="csInitializer" -->
<p>This class contains static member functions which can help set up an application to use the Crystal Entity Layer.  
 <a href="classcelInitializer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="initapp_8h_source.html">celtool/initapp.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celInitializer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelInitializer.png" usemap="#celInitializer_map" alt=""/>
  <map id="celInitializer_map" name="celInitializer_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html" alt="csInitializer" shape="rect" coords="0,0,79,24"/>
</map>
 </div></div>

<p><a href="classcelInitializer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelInitializer.html#a19815a8a2cf3c725f25216e30f9f57ef">RequestPlugins</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *,...)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience wrapper for <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aac312400175a74917984bc78038a234b">csInitializer::RequestPlugins()</a> which first invokes <a class="el" href="classcelInitializer.html#afac6b242b5155031da6b342b09c93b7f" title="Instructs SCF to also scan the CEL plugin directory or directories.">celInitializer::SetupCelPluginDirs()</a> and also loads cel vfs file through <a class="el" href="classcelInitializer.html#a53fc51e375be0b5aec2598a0ebbe6e1e" title="A convenience wrapper for csInitializer::SetupVFS that will also load cel vfs.cfg file...">celInitializer::SetupVFS()</a>.  <a href="#a19815a8a2cf3c725f25216e30f9f57ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelInitializer.html#a1c86e5dc368e6f355fee04dd0425bd5e">RequestPlugins</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html">csArray</a>&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPluginRequest.html">csPluginRequest</a> &gt; const &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience wrapper for <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aac312400175a74917984bc78038a234b">csInitializer::RequestPlugins()</a> which first invokes <a class="el" href="classcelInitializer.html#afac6b242b5155031da6b342b09c93b7f" title="Instructs SCF to also scan the CEL plugin directory or directories.">celInitializer::SetupCelPluginDirs()</a> and also loads cel vfs file through <a class="el" href="classcelInitializer.html#a53fc51e375be0b5aec2598a0ebbe6e1e" title="A convenience wrapper for csInitializer::SetupVFS that will also load cel vfs.cfg file...">celInitializer::SetupVFS()</a>.  <a href="#a1c86e5dc368e6f355fee04dd0425bd5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelInitializer.html#ad8174b83a167f0743f254dd4870d5765">RequestPluginsV</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *, va_list)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is just like RequestPlugins(...), which accepts a variable list of arguments at compile-time, except that arguments are passed as a `va_list'.  <a href="#ad8174b83a167f0743f254dd4870d5765"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelInitializer.html#afac6b242b5155031da6b342b09c93b7f">SetupCelPluginDirs</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *r)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Instructs SCF to also scan the CEL plugin directory or directories.  <a href="#afac6b242b5155031da6b342b09c93b7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelInitializer.html#af2bd72a3f4eaf547360c0848c52e35f2">SetupConfigManager</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *r, char const *configName, char const *AppID=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience wrapper for <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#ada15289ee6d9e60d10291026ec73f84c">csInitializer::SetupConfigManager()</a> which makes sure cel vfs.cfg is loaded so config files can be loaded from cel vfs.  <a href="#af2bd72a3f4eaf547360c0848c52e35f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiVFS.html">iVFS</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelInitializer.html#a53fc51e375be0b5aec2598a0ebbe6e1e">SetupVFS</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *objectReg, const char *pluginID=&quot;crystalspace.kernel.vfs&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A convenience wrapper for <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a3d2354f35277cccf3da3714a291cd2f4">csInitializer::SetupVFS</a> that will also load cel vfs.cfg file.  <a href="#a53fc51e375be0b5aec2598a0ebbe6e1e"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This class contains static member functions which can help set up an application to use the Crystal Entity Layer. </p>
<p>It is possible to do all the setup on your own but using these utility methods will considerably simplify the task. </p>

<p>Definition at line <a class="el" href="initapp_8h_source.html#l00041">41</a> of file <a class="el" href="initapp_8h_source.html">initapp.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a19815a8a2cf3c725f25216e30f9f57ef"></a><!-- doxytag: member="celInitializer::RequestPlugins" ref="a19815a8a2cf3c725f25216e30f9f57ef" args="(iObjectRegistry *,...)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classcelInitializer.html#a19815a8a2cf3c725f25216e30f9f57ef">celInitializer::RequestPlugins</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A convenience wrapper for <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aac312400175a74917984bc78038a234b">csInitializer::RequestPlugins()</a> which first invokes <a class="el" href="classcelInitializer.html#afac6b242b5155031da6b342b09c93b7f" title="Instructs SCF to also scan the CEL plugin directory or directories.">celInitializer::SetupCelPluginDirs()</a> and also loads cel vfs file through <a class="el" href="classcelInitializer.html#a53fc51e375be0b5aec2598a0ebbe6e1e" title="A convenience wrapper for csInitializer::SetupVFS that will also load cel vfs.cfg file...">celInitializer::SetupVFS()</a>. </p>
<p>The variable arguments should contain four entries for every plugin you wish to load: SCF class name, SCF interface name, inteface ID, and interface version. To make this easier it is recommended that you use one of the #CS_REQUEST_xxx macros (see &lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/initapp_8h.html">cstool/initapp.h</a>&gt;). <b>WARNING</b> Be sure to terminate the list with <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__appframe.html#gac41ce4979a7a8d0c03398582431d33fd">CS_REQUEST_END</a>! </p>

<p>Reimplemented from <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#ac10c1d14d78a7bbbd4f6c12caa1d4320">csInitializer</a>.</p>

</div>
</div>
<a class="anchor" id="a1c86e5dc368e6f355fee04dd0425bd5e"></a><!-- doxytag: member="celInitializer::RequestPlugins" ref="a1c86e5dc368e6f355fee04dd0425bd5e" args="(iObjectRegistry *, csArray&lt; csPluginRequest &gt; const &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classcelInitializer.html#a19815a8a2cf3c725f25216e30f9f57ef">celInitializer::RequestPlugins</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html">csArray</a>&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPluginRequest.html">csPluginRequest</a> &gt; const &amp;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A convenience wrapper for <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aac312400175a74917984bc78038a234b">csInitializer::RequestPlugins()</a> which first invokes <a class="el" href="classcelInitializer.html#afac6b242b5155031da6b342b09c93b7f" title="Instructs SCF to also scan the CEL plugin directory or directories.">celInitializer::SetupCelPluginDirs()</a> and also loads cel vfs file through <a class="el" href="classcelInitializer.html#a53fc51e375be0b5aec2598a0ebbe6e1e" title="A convenience wrapper for csInitializer::SetupVFS that will also load cel vfs.cfg file...">celInitializer::SetupVFS()</a>. </p>
<p>Unlike the variable-argument RequestPlugins(...) method which expects you to know the list of requested plugins at compile-time, this overload allows you to construct an array of plugins at run-time. You do this by constructing a csArray&lt;&gt; of <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPluginRequest.html">csPluginRequest</a> records (see &lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/initapp_8h.html">cstool/initapp.h</a>&gt;). For example: </p>
<div class="fragment"><pre class="fragment"> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html">csArray&lt;csPluginRequest&gt;</a> a;
 a.<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html#a6c1acc9a8bdc9d19272f5236089c6b5b">Push</a>(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPluginRequest.html">csPluginRequest</a>(CS_REQUEST_VFS));
 a.<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html#a6c1acc9a8bdc9d19272f5236089c6b5b">Push</a>(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPluginRequest.html">csPluginRequest</a>(CS_REQUEST_ENGINE));
 a.<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsArray.html#a6c1acc9a8bdc9d19272f5236089c6b5b">Push</a>(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPluginRequest.html">csPluginRequest</a>(<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__appframe.html#gaa93e57905eb2720951569ace7a2f1c3b">CS_REQUEST_PLUGIN</a>(<span class="stringliteral">&quot;myproj.foobar&quot;</span>,iFoobar)));
 <a class="code" href="classcelInitializer.html#a19815a8a2cf3c725f25216e30f9f57ef" title="A convenience wrapper for csInitializer::RequestPlugins() which first invokes celInitializer::SetupCe...">celInitializer::RequestPlugins</a>(registry,a);
</pre></div><p> <b>WARNING</b> csArray&lt;&gt; already knows its own size, so do <b>not</b> terminate the list with <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__appframe.html#gac41ce4979a7a8d0c03398582431d33fd">CS_REQUEST_END</a>. </p>

<p>Reimplemented from <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aac312400175a74917984bc78038a234b">csInitializer</a>.</p>

</div>
</div>
<a class="anchor" id="ad8174b83a167f0743f254dd4870d5765"></a><!-- doxytag: member="celInitializer::RequestPluginsV" ref="ad8174b83a167f0743f254dd4870d5765" args="(iObjectRegistry *, va_list)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classcelInitializer.html#ad8174b83a167f0743f254dd4870d5765">celInitializer::RequestPluginsV</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">va_list&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is just like RequestPlugins(...), which accepts a variable list of arguments at compile-time, except that arguments are passed as a `va_list'. </p>

<p>Reimplemented from <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#ae64ac4d29aaa8d244439161798ebfc25">csInitializer</a>.</p>

</div>
</div>
<a class="anchor" id="afac6b242b5155031da6b342b09c93b7f"></a><!-- doxytag: member="celInitializer::SetupCelPluginDirs" ref="afac6b242b5155031da6b342b09c93b7f" args="(iObjectRegistry *r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classcelInitializer.html#afac6b242b5155031da6b342b09c93b7f">celInitializer::SetupCelPluginDirs</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td><code> [inline, static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Instructs SCF to also scan the CEL plugin directory or directories. </p>
<p>This method is invoked automatically by <a class="el" href="classcelInitializer.html#a19815a8a2cf3c725f25216e30f9f57ef" title="A convenience wrapper for csInitializer::RequestPlugins() which first invokes celInitializer::SetupCe...">celInitializer::RequestPlugins()</a>, so you do not normally need to call it. You may, however, want to call it if you do not utilize <a class="el" href="classcelInitializer.html#a19815a8a2cf3c725f25216e30f9f57ef" title="A convenience wrapper for csInitializer::RequestPlugins() which first invokes celInitializer::SetupCe...">celInitializer::RequestPlugins()</a>. If you do call it manually, it usually is wise to do so before invoking the underlying <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#aac312400175a74917984bc78038a234b">csInitializer::RequestPlugins()</a> or <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__appframe.html#gaa93e57905eb2720951569ace7a2f1c3b">CS_REQUEST_PLUGIN()</a>.</p>
<p>The following are queried in an attempt to locate the CEL plugin directory:</p>
<ul>
<li>The #CEL environment variable (as well as several likely subdirectories of the mentioned path).</li>
<li>The #CEL_PLUGIN_DIR compile-time constant, if available. The typical way to define this property is to have the configure.ac script invoke AC_PATH_CEL or CS_PATH_CEL (defined in cel.m4) and to then "substitute" the discovered value of the plugin directory into the generated config.h file as follows: <div class="fragment"><pre class="fragment">       CS_PATH_CEL([someversion], [], [AC_MSG_ERROR([Failed to find CEL])])
       AC_DEFINE_UNQUOTED([CEL_PLUGIN_DIR], [<span class="stringliteral">&quot;$CEL_PLUGIN_DIR&quot;</span>],
         [Define with path to CEL plugins.])
</pre></div> </li>
</ul>

<p>Definition at line <a class="el" href="initapp_8h_source.html#l00074">74</a> of file <a class="el" href="initapp_8h_source.html">initapp.h</a>.</p>

</div>
</div>
<a class="anchor" id="af2bd72a3f4eaf547360c0848c52e35f2"></a><!-- doxytag: member="celInitializer::SetupConfigManager" ref="af2bd72a3f4eaf547360c0848c52e35f2" args="(iObjectRegistry *r, char const *configName, char const *AppID=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classcelInitializer.html#af2bd72a3f4eaf547360c0848c52e35f2">celInitializer::SetupConfigManager</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>configName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>AppID</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A convenience wrapper for <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#ada15289ee6d9e60d10291026ec73f84c">csInitializer::SetupConfigManager()</a> which makes sure cel vfs.cfg is loaded so config files can be loaded from cel vfs. </p>

<p>Reimplemented from <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#ada15289ee6d9e60d10291026ec73f84c">csInitializer</a>.</p>

</div>
</div>
<a class="anchor" id="a53fc51e375be0b5aec2598a0ebbe6e1e"></a><!-- doxytag: member="celInitializer::SetupVFS" ref="a53fc51e375be0b5aec2598a0ebbe6e1e" args="(iObjectRegistry *objectReg, const char *pluginID=&quot;crystalspace.kernel.vfs&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiVFS.html">iVFS</a>* <a class="el" href="classcelInitializer.html#a53fc51e375be0b5aec2598a0ebbe6e1e">celInitializer::SetupVFS</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObjectRegistry.html">iObjectRegistry</a> *&#160;</td>
          <td class="paramname"><em>objectReg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pluginID</em> = <code>&quot;crystalspace.kernel.vfs&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A convenience wrapper for <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a3d2354f35277cccf3da3714a291cd2f4">csInitializer::SetupVFS</a> that will also load cel vfs.cfg file. </p>

<p>Reimplemented from <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsInitializer.html#a3d2354f35277cccf3da3714a291cd2f4">csInitializer</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>celtool/<a class="el" href="initapp_8h_source.html">initapp.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
